Description

There are issues with the MAC pass-through, replicable in the following scenarios (use the attached config as a starting point for
these specific examples).

First just load the config and look at the ipfw rule numbers, I'm not sure what the intention is (supposed to be one rule number per
host or two?), but the first MAC in the list has rules 2 and 3, but the next MAC has rules 3 and 4. This leads to a mess when you
delete one as it removes wrong things.

Then delete, for example, the "test 3" MAC pass-through. It removes it, but hoses two other entries by removing one of their
directions, it appears because of the overlapping rule numbers.

Associated revisions

Revision a135349d - 11/02/2011 02:59 PM - Ermal LUGCI

Fixes #1976. Correct passthrough mac entries to not overwrite each other this is different from allowed ips that used tables.

Revision e3db5627 - 11/02/2011 03:05 PM - Ermal LUCI

Fixes #1976. Correct passthrough mac entries to not overwrite each other this is different from allowed ips that used tables.

History

#1 - 10/24/2011 10:11 PM - Chris Buechler

#1958 details the same issue, closed it in favor of this one.

#2 - 11/02/2011 10:55 AM - Ermal Lugi
- Status changed from New to Feedback

- % Done changed from 0 to 100

Applied in changeset a135349d62a1932cb1ab9c29436efcd8e8a383d5.

#3 - 11/02/2011 11:05 AM - Ermal Lugci
Applied in changeset e3db5627224a0293f74e0d032a9b230f98{85952.

#4 - 12/06/2011 05:03 AM - Chris Buechler

- Status changed from Feedback to Resolved

fixed

Files

config-pfSense.localdomain-20110928000245.xml 14.9 KB 10/24/2011 Chris Buechler

06/17/2025 1/1



https://redmine.pfsense.org/issues/1958
https://redmine.pfsense.org/projects/pfsense/repository/2/revisions/a135349d62a1932cb1ab9c29436efcd8e8a383d5
https://redmine.pfsense.org/projects/pfsense/repository/2/revisions/e3db5627224a0293f74e0d032a9b230f98f85952
http://www.tcpdf.org

